Get a billing agreement and its charge history
curl --request GET \
--url https://mag3nt.com/api/billing/agreements/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://mag3nt.com/api/billing/agreements/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://mag3nt.com/api/billing/agreements/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agreement": {
"id": "ba_9f8e7d6c...",
"merchant_wallet": "<string>",
"payer_wallet": "<string>",
"payer_card_id": "<string>",
"pay_link_code": "<string>",
"plan_ref": "<string>",
"description": "<string>",
"amount": 123,
"asset": "<string>",
"network": "<string>",
"period_days": 123,
"threshold_metric": "mag3nt_fee_balance",
"threshold_floor": 123,
"funding_spender": "<string>",
"next_charge_at": "2023-11-07T05:31:56Z",
"last_charge_at": "2023-11-07T05:31:56Z",
"charges_made": 123,
"total_charged": 123,
"failure_count": 123,
"cancel_at_period_end": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"charges": [
{
"id": "bch_9f8e7d6c_p1",
"period_key": "p1",
"amount": 123,
"settlement_id": "<string>",
"error": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "Card not found"
}{
"error": "Card not found"
}Billing
Get a billing agreement and its charge history
GET
/
api
/
billing
/
agreements
/
{id}
Get a billing agreement and its charge history
Authorizations
API key prefixed with 'Bearer sx_live_...'
Path Parameters
⌘I